GET /{o}/{p}/envs/{envName}/entitiesList entities
List entities in this environment with optional filtering and keyset pagination.
Auth: Bearer token required · Permission:
data:read
Path parameters
| Name | Type | Description |
|---|---|---|
o | string | |
p | string | |
envName | string |
Responses
| Status | Description | Schema |
|---|---|---|
200 | Matching entities | EntityList |
POST /{o}/{p}/envs/{envName}/entitiesCreate an entity
Auth: Bearer token required · Permission:
data:write
Path parameters
| Name | Type | Description |
|---|---|---|
o | string | |
p | string | |
envName | string |
Request body (application/json)
| Field | Type | Description |
|---|---|---|
kind | Entity | (required) |
entityType | string | (required) |
name | string | (required) |
state | string | |
properties | object | |
labels | object |
Responses
| Status | Description | Schema |
|---|---|---|
201 | Created entity | Entity |
403 | Cell-scope violation | Error |
404 | EntityType not found | Error |
GET /{o}/{p}/envs/{envName}/entities/streamStream entity changes (SSE)
Server-Sent Events stream of entity create/update/delete in this environment.
Auth: Bearer token required · Permission:
data:read
Path parameters
| Name | Type | Description |
|---|---|---|
o | string | |
p | string | |
envName | string |
Responses
| Status | Description | Schema |
|---|---|---|
200 | text/event-stream of entity-change events |
GET /{o}/{p}/envs/{envName}/entities/{name}/driftGet entity drift status
Auth: Bearer token required · Permission:
data:read
Path parameters
| Name | Type | Description |
|---|---|---|
o | string | |
p | string | |
envName | string | |
name | string |
Responses
| Status | Description | Schema |
|---|---|---|
200 | Drift status | EntityDriftStatus |
404 | Entity not found | Error |
GET /{o}/{p}/envs/{envName}/entities/{name}Get an entity by name
Auth: Bearer token required · Permission:
data:read
Path parameters
| Name | Type | Description |
|---|---|---|
o | string | |
p | string | |
envName | string | |
name | string |
Responses
| Status | Description | Schema |
|---|---|---|
200 | The entity | Entity |
404 | Entity not found | Error |
PUT /{o}/{p}/envs/{envName}/entities/{name}Update an entity
Auth: Bearer token required · Permission:
data:write
Path parameters
| Name | Type | Description |
|---|---|---|
o | string | |
p | string | |
envName | string | |
name | string |
Request body (application/json)
| Field | Type | Description |
|---|---|---|
name | string | |
state | string | |
properties | object | |
labels | object |
Responses
| Status | Description | Schema |
|---|---|---|
200 | Updated entity | Entity |
403 | Cell-scope violation | Error |
404 | Entity not found | Error |
DELETE /{o}/{p}/envs/{envName}/entities/{name}Delete an entity
Auth: Bearer token required · Permission:
data:write
Path parameters
| Name | Type | Description |
|---|---|---|
o | string | |
p | string | |
envName | string | |
name | string |
Responses
| Status | Description | Schema |
|---|---|---|
200 | Deletion result | DeletedEntity |
404 | Entity not found | Error |
GET /{o}/{p}/envs/{envName}/entities/{name}/relationshipsList an entity's relationships
Auth: Bearer token required · Permission:
data:read
Path parameters
| Name | Type | Description |
|---|---|---|
o | string | |
p | string | |
envName | string | |
name | string |
Responses
| Status | Description | Schema |
|---|---|---|
200 | Relationships touching the entity | |
404 | Entity not found | Error |
GET /{o}/{p}/envs/{envName}/entities/{name}/metricsGet an entity's metric values
Auth: Bearer token required · Permission:
data:read
Path parameters
| Name | Type | Description |
|---|---|---|
o | string | |
p | string | |
envName | string | |
name | string |
Responses
| Status | Description | Schema |
|---|---|---|
200 | Metric values by name | EntityMetrics |
404 | Entity not found | Error |
PUT /{o}/{p}/envs/{envName}/entities/{name}/metrics/{metricName}Set a manual/push metric value
Auth: Bearer token required · Permission:
data:write
Path parameters
| Name | Type | Description |
|---|---|---|
o | string | |
p | string | |
envName | string | |
name | string | |
metricName | string |
Request body (application/json)
| Field | Type | Description |
|---|---|---|
value | number | (required) |
Responses
| Status | Description | Schema |
|---|---|---|
200 | Updated metric | |
404 | Entity not found | Error |
GET /{o}/{p}/envs/{envName}/entities/{name}/actionsList available instance actions for an entity
Auth: Bearer token required · Permission:
data:read
Path parameters
| Name | Type | Description |
|---|---|---|
o | string | |
p | string | |
envName | string | |
name | string |
Responses
| Status | Description | Schema |
|---|---|---|
200 | Actions whose conditions pass for this entity | |
404 | Entity not found | Error |
POST /{o}/{p}/envs/{envName}/entities/{name}/actions/{actionName}Trigger an instance action on an entity
Auth: Bearer token required · Permission:
data:write
Path parameters
| Name | Type | Description |
|---|---|---|
o | string | |
p | string | |
envName | string | |
name | string | |
actionName | string |
Request body (application/json)
| Field | Type | Description |
|---|---|---|
parameters | object | |
recommendations | object |
Responses
| Status | Description | Schema |
|---|---|---|
202 | Action run accepted | |
404 | Entity not found | Error |
POST /{o}/{p}/envs/{envName}/entities/{name}/sync-stampRecord a sync observation for an entity
Auth: Bearer token required · Permission:
data:write
Path parameters
| Name | Type | Description |
|---|---|---|
o | string | |
p | string | |
envName | string | |
name | string |
Request body (application/json)
| Field | Type | Description |
|---|---|---|
source | string | (required) |
observedAt | string(date-time) |
Responses
| Status | Description | Schema |
|---|---|---|
200 | Updated sync stamp | |
404 | Entity not found | Error |
DeletedEntity| Field | Type | Description |
|---|---|---|
deleted | true | (required) |
name | string | (required) |
Entity| Field | Type | Description |
|---|---|---|
id | string(uuid) | (required) |
entityTypeName | string | (required) |
name | string | (required) |
state | string | (required) |
properties | object | (required) |
labels | object | (required) |
lastSyncedAt | string | string | null | (required) |
syncSource | string,null | (required) |
createdAt | string | string | (required) |
updatedAt | string | string | (required) |
orgId | string | (required) |
projectId | string | (required) |
envId | string(uuid) | (required) |
EntityDriftStatus| Field | Type | Description |
|---|---|---|
name | string | (required) |
driftStatus | string | (required) |
lastSyncedAt | string,null | (required) |
syncSource | string,null | (required) |
message | string | (required) |
EntityListType: Entity[]
EntityMetricsType: object
Error| Field | Type | Description |
|---|---|---|
error | string | (required) |
code | string |